# Record Class XSTypeAttributeDeclaration

java.lang.Object
java.lang.Record
com.io7m.xstructural.vanilla.internal.XSTypeAttributeDeclaration

Record Components:
  `source` - The source
  `line` - The line number
  `column` - The column number
  `name` - The type name
  `description` - The type description

public record XSTypeAttributeDeclaration(URI source, int line, int column, String name, Map<Locale, XSTypeAttributeDeclaration.LanguageString> description) extends Record
A type attribute declaration.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final record`
  `XSTypeAttributeDeclaration.LanguageString`
  A string in a particular language.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XSTypeAttributeDeclaration(URI source, int line, int column, String name, Map<Locale, XSTypeAttributeDeclaration.LanguageString> description)`
  A type attribute declaration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `column()`
  Returns the value of the `column` record component.
  `Map<Locale, XSTypeAttributeDeclaration.LanguageString>`
  `description()`
  Returns the value of the `description` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `int`
  `line()`
  Returns the value of the `line` record component.
  `String`
  `name()`
  Returns the value of the `name` record component.
  `URI`
  `source()`
  Returns the value of the `source` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### XSTypeAttributeDeclaration

    public XSTypeAttributeDeclaration(URI source, int line, int column, String name, Map<Locale, XSTypeAttributeDeclaration.LanguageString> description)
    A type attribute declaration.
    Parameters:
      `source` - The source
      `line` - The line number
      `column` - The column number
      `name` - The type name
      `description` - The type description

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with the `compare` method from their corresponding wrapper classes.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### source

    public URI source()
    Returns the value of the `source` record component.
    Returns:
      the value of the `source` record component

  - ### line

    public int line()
    Returns the value of the `line` record component.
    Returns:
      the value of the `line` record component

  - ### column

    public int column()
    Returns the value of the `column` record component.
    Returns:
      the value of the `column` record component

  - ### name

    public String name()
    Returns the value of the `name` record component.
    Returns:
      the value of the `name` record component

  - ### description

    public Map<Locale, XSTypeAttributeDeclaration.LanguageString> description()
    Returns the value of the `description` record component.
    Returns:
      the value of the `description` record component